org.eclipse.gef.dot.internal.ui

## Class DotExportRadioGroupFieldEditor

- java.lang.Object
- - org.eclipse.jface.preference.FieldEditor
  - - org.eclipse.jface.preference.RadioGroupFieldEditor
    - - org.eclipse.gef.dot.internal.ui.DotExportRadioGroupFieldEditor

    public class DotExportRadioGroupFieldEditor
    extends RadioGroupFieldEditor

### Field Summary

### Fields inherited from class org.eclipse.jface.preference.FieldEditor

`HORIZONTAL_GAP, IS_VALID, VALUE`

### Constructor Summary

Constructors
`protected` `DotExportRadioGroupFieldEditor()` Creates a new radio group field editor
`` `DotExportRadioGroupFieldEditor(java.lang.String name, java.lang.String labelText, java.lang.String dotExportHintText, int numColumns, java.lang.String[][] labelsAndValues, Composite parent)`
`` `DotExportRadioGroupFieldEditor(java.lang.String name, java.lang.String labelText, java.lang.String dotExportHintText, int numColumns, java.lang.String[][] labelsAndValues, Composite parent, boolean useGroup)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `adjustForNumColumns(int numColumns)`
`void` `clear()`
`protected void` `doFillIntoGrid(Composite parent, int numColumns)`
`protected void` `doLoad()`
`protected void` `doLoadDefault()`
`protected void` `doStore()`
`Composite` `getRadioBoxControl(Composite parent)`
`protected void` `hideDotExportHintLabel()`
`void` `setEnabled(boolean enabled, Composite parent)`
`void` `setIndent(int indent)`
`protected void` `showHideDotExportHintLabel()`
`void` `update(java.lang.String[][] newLabelsAndValues)`

### Methods inherited from class org.eclipse.jface.preference.RadioGroupFieldEditor

`getNumberOfControls`

### Methods inherited from class org.eclipse.jface.preference.FieldEditor

`applyFont, checkParent, clearErrorMessage, clearMessage, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, createControl, dispose, fillIntoGrid, fireStateChanged, fireValueChanged, getFieldEditorFontName, getLabelControl, getLabelControl, getLabelText, getPage, getPreferenceName, getPreferencePage, getPreferenceStore, init, isValid, load, loadDefault, presentsDefaultValue, refreshValidState, setButtonLayoutData, setFocus, setLabelText, setPage, setPreferenceName, setPreferencePage, setPreferenceStore, setPresentsDefaultValue, setPropertyChangeListener, showErrorMessage, showMessage, store`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotExportRadioGroupFieldEditor

    protected DotExportRadioGroupFieldEditor()

Creates a new radio group field editor

#### DotExportRadioGroupFieldEditor

    public DotExportRadioGroupFieldEditor(java.lang.String name,
                                          java.lang.String labelText,
                                          java.lang.String dotExportHintText,
                                          int numColumns,
                                          java.lang.String[][] labelsAndValues,
                                          Composite parent)

#### DotExportRadioGroupFieldEditor

    public DotExportRadioGroupFieldEditor(java.lang.String name,
                                          java.lang.String labelText,
                                          java.lang.String dotExportHintText,
                                          int numColumns,
                                          java.lang.String[][] labelsAndValues,
                                          Composite parent,
                                          boolean useGroup)

### Method Detail

#### adjustForNumColumns

    protected void adjustForNumColumns(int numColumns)

Overrides:
  `adjustForNumColumns` in class `RadioGroupFieldEditor`

#### doFillIntoGrid

    protected void doFillIntoGrid(Composite parent,
                                  int numColumns)

Overrides:
  `doFillIntoGrid` in class `RadioGroupFieldEditor`

#### doLoad

    protected void doLoad()

Overrides:
  `doLoad` in class `RadioGroupFieldEditor`

#### doLoadDefault

    protected void doLoadDefault()

Overrides:
  `doLoadDefault` in class `RadioGroupFieldEditor`

#### doStore

    protected void doStore()

Overrides:
  `doStore` in class `RadioGroupFieldEditor`

#### getRadioBoxControl

    public Composite getRadioBoxControl(Composite parent)

Overrides:
  `getRadioBoxControl` in class `RadioGroupFieldEditor`

#### setIndent

    public void setIndent(int indent)

Overrides:
  `setIndent` in class `RadioGroupFieldEditor`

#### setEnabled

    public void setEnabled(boolean enabled,
                           Composite parent)

Overrides:
  `setEnabled` in class `RadioGroupFieldEditor`

#### update

    public void update(java.lang.String[][] newLabelsAndValues)

#### hideDotExportHintLabel

    protected void hideDotExportHintLabel()

#### showHideDotExportHintLabel

    protected void showHideDotExportHintLabel()

#### clear

    public void clear()